<Input::Options::Frame class="buttons-section" @title={{t "option-panel.content"}} ...attributes>
  <Editor::Properties::ButtonContentOptions @isAction={{this.isAction}} @space={{@space}} @value={{this.content}} @onChange={{this.changeContent}} />
</Input::Options::Frame>

{{#if this.hasPicture}}
  <Input::Options::Frame class="picture-section" @title={{t "option-panel.picture"}}>
    <Editor::Properties::ButtonImage @value={{this.pictureOptions}} @onChange={{this.changePictures}} @model={{this.model}} @modelId={{this.modelId}} />
  </Input::Options::Frame>
{{/if}}

<Input::Options::Frame class="buttons-section" @title={{t "option-panel.style"}} ...attributes>
  <Editor::Properties::ButtonStyleOptions @value={{this.style.classes}} @space={{@space}}  @onChange={{this.changeStyleClasses}} />

  <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-text"}} as |size|>
    <Editor::Properties::TextAlign @size={{size}} @options={{this.containerStyle.classes}} @onChange={{this.changeContainerStyleClasses}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-width"}} as |size|>
    <Editor::Properties::Width @size={{size}} @options={{this.style.classes}} @onChange={{this.changeStyleClasses}} />
  </Editor::Properties::ResponsiveValue>
</Input::Options::Frame>